Subject: [completion] Request: Include remote heads as push targets

From: Marc Branchaud <[email-masked]>
Date: Thu, 21 Oct 2010 11:37:47 -0400

Hi Shawn,

I find myself wishing that completion would support the following:

	git push origin HEAD:<tab>

The options presented at this point should include all the origin/* heads,
without the "origin/" prefix.  Right now (git 1.7.3.1) completion only lets
me choose from local refs.

I tried looking at the completion script myself, but my completion-fu is weak
and I'm really not sure how to go about implementing this.

So I'm just throwing this request out to see what happens.

Thanks!

		M.